Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76908 - initscripts causes tcsh BROKEN for CJK
Summary: initscripts causes tcsh BROKEN for CJK
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 8.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-29 09:09 UTC by Nakai
Modified: 2014-03-17 02:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-10-29 09:09:55 UTC


Attachments (Terms of Use)

Description Nakai 2002-10-29 09:09:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.0.1) Gecko/20020830

Description of problem:
There is bugs in /etc/profile.d/lang.csh, it sucks
tcsh behavior in CJK environment.

- Spell mistake - Not dspmpbyte, dspmbyte is correct.
  ( man tcsh )
- dspmbyte=euc works only for Japanese language.
  (But works for ko_KR.eucKR becase multibyte code point
   is as same as ja_JP.eucJP)
- Lack of UTF-8 recognition

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. See /etc/profile.d/lang.csh
2.
3.
	

Additional info:

--- initscripts-6.95/lang.csh.orig      2002-10-29 17:53:37.000000000 +0900
+++ initscripts-6.95/lang.csh   2002-10-29 17:56:53.000000000 +0900
@@ -85,10 +85,18 @@
 
 if ($?LANG) then
     switch ($LANG)
+       case ja*UTF-8:
+       case ko*UTF-8:
+       case zh*UTF-8:
+            set dspmbyte=utf8
+            breaksw
+       case zh_TW*:
+            set dspmbyte=big5
+            breaksw
        case ja*:
-       case zh*:
        case ko*:
-            set dspmpbyte=euc
+       case zh*:
+            set dspmbyte=euc
             breaksw
     endsw
 endif

Comment 1 Bill Nottingham 2002-11-12 05:02:11 UTC
Fixed in CVS, will be in 6.96-1


Note You need to log in before you can comment on or make changes to this bug.